export class Main extends Indicator {

    constructor() {
        super();

        this.addInput("PPeriod", InputType.int, 13);
        this.addInput("AppliedPrice", InputType.AppliedPrice, AppliedPrice.Close);
        this.addInput("PriceType", InputType.PriceType, PriceType.Bid);

        this.buffers = {
            LineBuffer : this.addBuffer(),
        };
    }

    onInit() {
        this.buffers.LineBuffer
            .setShape(Shape.Section)
            .setColor(Color.Magenta)
            .setLabel("Line")
            .setShortName("Palka")
        ;
    }

    async onUpdate() {
        const {PPeriod, PriceType, AppliedPrice} = this.getInputs(),
            {LineBuffer} = this.buffers,
            prices = await Bar.appliedPrice(AppliedPrice, PriceType);

        LineBuffer.setSize(prices.length).clear();
        LineBuffer.set(0, prices[0]);
        LineBuffer.set(PPeriod, prices[PPeriod]);
    }
}